I can't install niether Mandrake 10.1 nor FC3. WHY ??

Printable View